﻿using FccLite.Web.Domain.FccOilInfo;
using FccLite.Web.Domain.FccStationInfo;
using Microsoft.EntityFrameworkCore;

namespace FccLite.Web.utils.database
{
    public class MysqlDbContext:DbContext
    {
        public MysqlDbContext(DbContextOptions<MysqlDbContext> options):base(options) { }

        public DbSet<FccStationInfo> FccStationInfos { get; set; }

        public DbSet<FccOilInfo> OilInfos { get; set; }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            //modelBuilder.Entity<FccStationInfo>(entity =>
            //{
            //    entity.ToTable("qr_station_info");
            //});
            base.OnModelCreating(modelBuilder);
        }
    }
}
